transitivity {RBGL} | R Documentation

## Calculate transitivity for an undirected graph

### Description

Calculate transitivity for an undirected graph

### Usage

    transitivity(g)

### Arguments

`g` | an instance of the `graph` class

### Details

For an undirected graph {G}, let delta(v) be the number of triangles with {v} as a node, let tau(v) be the number of triples, i.e., paths of length 2 with {v} as the center node.

Define transitivity T(G) = sum(delta(v)) / sum(tau(v)), for all v in V.

### Value

Transitivity for graph `g`.

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Approximating Clustering Coefficient and Transitivity, T. Schank, D. Wagner, Journal of Graph Algorithms and Applications, Vol. 9, No. 2 (2005).

### See Also

clusteringCoef, clusteringCoefAppr, graphGenerator

### Examples

    g <- fromGXL(file(system.file("XML/conn.gxl",package="RBGL")))
    tc <- transitivity(g)

[Package RBGL version 1.10.0 Index]